<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <script src='jquery-3.3.1.min.js'></script>
    <link rel="stylesheet" href="app.css">
    <script async src="app.js"></script>
    <title>Stacja Pogodowa</title>
</head>
<body>
<header>
    <h1>Stacja Pogodowa</h1>
</header>

<div id="LocalTime">
    <h2>Czas ostatniego pomiaru:</h2>
    <div id="local_time"></div>
</div>
<hr>


<div id="DHT22Sensor">
    <h2>Odczyt z czujnika:</h2>
    <label for="temperature_reading">Temperatura: </label>
    <div id="temperature_reading"></div>
    <label for="humidity_reading">Wilgotność: </label>
    <div id="humidity_reading"></div>
</div>
<hr>

<div id="WiFiConnect">
    <h2>Połączenie z WiFi:</h2>
    <section>
        <input id="connect_ssid" type="text" maxlength="32" placeholder="SSID" value="">
        <input id="connect_pass" type="password" maxlength="64" placeholder="Hasło" value="">
        <input type="checkbox" onclick="showPassword()">Pokaż hasło
    </section>
    <div class="buttons">
        <input id="connect_wifi" type="button" value="Połącz" />
    </div>
    <div id="wifi_connect_credentials_errors"></div>
    <h4 id="wifi_connect_status"></h4>
</div>

<div id="ConnectInfo">
    <section>
        <div id="connected_ap_label"></div> <div id="connected_ap"></div>
    </section>
    <div class="buttons">
        <input id="disconnect_wifi" type="button" value="Rozłącz" />
    </div>
</div>
<hr>

</body>
</html>